import request from '@/utils/request'

// 查询流量处理结果列表
export function listProcessresult(query) {
  return request({
    url: '/plc/processresult/list',
    method: 'get',
    params: query
  })
}

// 查询流量处理结果详细
export function getProcessresult(id) {
  return request({
    url: '/plc/processresult/' + id,
    method: 'get'
  })
}

// 新增流量处理结果
export function addProcessresult(data) {
  return request({
    url: '/plc/processresult',
    method: 'post',
    data: data
  })
}

// 修改流量处理结果
export function updateProcessresult(data) {
  return request({
    url: '/plc/processresult',
    method: 'put',
    data: data
  })
}

// 删除流量处理结果
export function delProcessresult(id) {
  return request({
    url: '/plc/processresult/' + id,
    method: 'delete'
  })
}
